#
# spec file for package cura-fdm-materials
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cura-fdm-materials
Version:        4.13.0
Release:        1.9
Summary:        FDM material database
License:        CC0-1.0
Group:          Hardware/Printing
URL:            https://github.com/Ultimaker/fdm_materials
Source0:        fdm_materials-%{version}.tar.xz
BuildRequires:  xz
BuildArch:      noarch

%description
FDM material database for use with Cura

%prep
%setup -q -n fdm_materials-%version

%build

%install
mkdir -p %{buildroot}%{_datadir}/cura/resources/materials/
install -m 0644 -t %{buildroot}%{_datadir}/cura/resources/materials/ *.fdm_material

%files
%license LICENSE
%dir %{_datadir}/cura
%dir %{_datadir}/cura/resources
%{_datadir}/cura/resources/materials

%changelog
* Sun Jan 30 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 4.13.0
  Release notes:
  * https://github.com/Ultimaker/Cura/releases/tag/4.13
* Mon Apr 26 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 4.9.0
  Release notes:
  * https://github.com/Ultimaker/Cura/releases/tag/4.9
* Tue Nov 10 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 4.8.0
  Release notes:
  * https://github.com/Ultimaker/Cura/releases/tag/4.8
* Tue Sep 15 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 4.7.1
  Release notes:
  * https://github.com/Ultimaker/Cura/releases/tag/4.7.1
  * https://github.com/Ultimaker/Cura/releases/tag/4.7.0
  * https://github.com/Ultimaker/Cura/releases/tag/4.6.2
* Sun Jun  7 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 4.6.1
  Release notes:
  * https://github.com/Ultimaker/Cura/releases/tag/4.6.1
  * https://github.com/Ultimaker/Cura/releases/tag/4.6.0
  * https://github.com/Ultimaker/Cura/releases/tag/4.5.0
* Thu Jan  2 2020 Adrian Schröter <adrian@suse.de>
- update to version 4.4.1
  Release notes:
  * https://github.com/Ultimaker/Cura/releases/tag/v4.4.1
* Mon Oct 14 2019 Adrian Schröter <adrian@suse.de>
- update to version 4.3.0
* Thu Jun 13 2019 Adrian Schröter <adrian@suse.de>
- update to version 4.1.0
  * https://ultimaker.com/en/products/ultimaker-cura-software/release-notes
* Mon Jan  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- update to version 3.6.0
  * Lots of updates and additions to generic and vendor specific
    materials, no changelog available.
* Mon Jan 29 2018 stefan.bruens@rwth-aachen.de
- Correct package group
- Remove spurious executable flag on data files
* Sat Jan 27 2018 stefan.bruens@rwth-aachen.de
- update to version 3.1.0
* Wed Sep 13 2017 stefan.bruens@rwth-aachen.de
- update to version 2.7.0
- Add LICENSE file, fix License tag (CC0-1.0)
* Mon May 15 2017 bugs@vdm-design.de
- update to version 2.5.0
* Wed Mar 15 2017 bugs@vdm-design.de
- Update to version 2.4.0
* Wed Jan 25 2017 bugs@vdm-design.de
- Initial version of cura-fdm-material package
